# Get private note by ID

Endpoint: GET /supercases/{supercaseId}/notes/{noteId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `supercaseId` (string, required)
    The ID of the supercase

  - `noteId` (string, required)
    The ID of the note

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    A borrower, case, supercase or interaction can have a note associated with it. Each note can only be associated with one of these objects.

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.id` (string)
    The note identifier.

  - `data.updatedAt` (string)

  - `data.archived` (boolean)
    Set to `true` if the note has been archived.

  - `data.archivedAt` (string)

  - `data.archivedBy` (object)

  - `data.archivedBy.descriptor` (string)
    Short description of the user who performed the action.
Different systems may have different data available for a given user. The descriptor
gives the best available short description of the user. It prefers names, then email addresses,
then related IDs.
e.g.,
- "Borrower Tim Jones"
- "Borrower BO-ABCD-1234"
- "Peach Service User"
- "Agent Abigail Smith"
- "Agent bob@acme.com"
- "Agent EM-ABCD-1234"
    Example: Agent bob@acme.com

  - `data.archivedBy.employee` (object)

  - `data.archivedBy.employee.id` (string)
    The employee's ID

  - `data.archivedBy.id` (string)
    The unique identifier of the user who performed the action.

  - `data.archivedBy.name` (string)
    The name of the user who performed the action.

  - `data.archivedBy.userType` (string)
    The type of the user.
    Enum: "agent", "borrower", "service"

  - `data.caseId` (string)
    Identifier of the case that the note belongs to.

  - `data.category` (string)
    Specifies the nature of a Note
    Enum: "generic", "escalationCreateReason", "escalationUpdateReason", "escalationCancelReason"

  - `data.content` (string)
    The content of the note.

  - `data.edited` (boolean)
    Indicates whether the note was edited.

  - `data.important` (boolean)
    Set to `true` if the note is important.

  - `data.interactionId` (string)
    Identifier of the interaction that the note belongs to.

  - `data.object` (string)
    Enum: "note"

  - `data.oldContent` (array)

  - `data.pinned` (boolean)
    Specify that this note should be sorted to the top of the list
by default.

  - `data.sensitiveData` (boolean)
    Indicates whether the note contains sensitive information.

  - `data.status` (string)
    Enum: "active", "inactive"

  - `data.supercaseId` (string)
    Identifier of the supercase that the note belongs to.

  - `data.taskableInstruction` (boolean)
    Set to `true` if the note is intended to be an instruction which creates a review task.

  - `data.type` (string)
    Enum: "borrowerNote", "caseNote", "interactionNote", "supercaseGlobalNote", "supercasePrivateNote"

